INTERFACE
SUBROUTINE EC_PHYS_TL (CDCONF,&
 & KBL,KNUMB,KSTGLO,&
 & PB2,&
 & PGMV,PGMVS,PGFL,&
 & PGMVT1,PGMVT1S,PGFLT1,&
 & PSP_SB,PSP_SG,PSP_RR,&
 & PSD_VN,PSD_VD,&
 & PGEMU,PGELAM,PGESLO,PGECLO,POROG,&
 & PFORCEU,PFORCEV,PFORCET,PFORCEQ,&
 & PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,PMWAVE_TB_BUF_TL,PMWAVE_OERR_BUF,&
 & PMWAVE_PERS1_BUF,KMWAVE_BUF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOMGEM , ONLY : VBH ,VAH ,VC ,VDELB ,NGPTOT
USE YOMSC2 , ONLY : NFLDSLB2
USE SURFACE_FIELDS_MIX, ONLY : GPPOPER,&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR,&
 & YSD_VDD, YSD_VD, YSD_VFD, YSD_VF,&
 & YSD_VND, YSD_VN 
USE YOM_YGFL , ONLY : YGFL ,YGFLC ,YQ, YL, YI, YA, NGRG, NTRAC
USE YOMGMV, ONLY : NDIMGMV,NDIMGMVS,YT1,YPH9
USE YOMMWAVE , ONLY : N_SATSENS, LEMWAVE_ACTIVE, MWAVE_RAD_TYPE,&
 & MWAVE_ID, MWAVE_NO_OBS 
USE PARMWAVE , ONLY : NMAX_CHAN
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VN(NPROMA,YSD_VND%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VD(NPROMA,YSD_VDD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEU(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCET(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFORCEQ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_TB_BUF_TL(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
END SUBROUTINE EC_PHYS_TL
END INTERFACE
